-- MySQL dump 10.13  Distrib 8.0.41, for Linux (x86_64)
--
-- Host: 127.0.0.1    Database: nathan2baker_prj
-- ------------------------------------------------------
-- Server version	8.0.41-0ubuntu0.20.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tblBookings`
--

DROP TABLE IF EXISTS `tblBookings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tblBookings` (
  `booking_id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `showing_id` int DEFAULT NULL,
  `seat_numbers` varchar(255) NOT NULL,
  `total_price` decimal(6,2) NOT NULL,
  `booking_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`booking_id`),
  KEY `user_id` (`user_id`),
  KEY `showing_id` (`showing_id`),
  CONSTRAINT `tblBookings_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `tblUsers` (`user_id`) ON DELETE CASCADE,
  CONSTRAINT `tblBookings_ibfk_2` FOREIGN KEY (`showing_id`) REFERENCES `tblShowings` (`showing_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblBookings`
--

/*!40000 ALTER TABLE `tblBookings` DISABLE KEYS */;
INSERT INTO `tblBookings` VALUES (8,10,2,'2b,3b,4c',30.00,'2025-03-17 17:56:27'),(9,15,2,'15a,16a',20.00,'2025-03-17 17:56:58');
/*!40000 ALTER TABLE `tblBookings` ENABLE KEYS */;

--
-- Table structure for table `tblCancellations`
--

DROP TABLE IF EXISTS `tblCancellations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tblCancellations` (
  `cancellation_id` int NOT NULL AUTO_INCREMENT,
  `booking_id` int DEFAULT NULL,
  `cancelled_by` int DEFAULT NULL,
  `cancellation_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `refund_amount` decimal(6,2) DEFAULT NULL,
  PRIMARY KEY (`cancellation_id`),
  KEY `booking_id` (`booking_id`),
  KEY `cancelled_by` (`cancelled_by`),
  CONSTRAINT `tblCancellations_ibfk_1` FOREIGN KEY (`booking_id`) REFERENCES `tblBookings` (`booking_id`) ON DELETE CASCADE,
  CONSTRAINT `tblCancellations_ibfk_2` FOREIGN KEY (`cancelled_by`) REFERENCES `tblUsers` (`user_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblCancellations`
--

/*!40000 ALTER TABLE `tblCancellations` DISABLE KEYS */;
/*!40000 ALTER TABLE `tblCancellations` ENABLE KEYS */;

--
-- Table structure for table `tblCinemas`
--

DROP TABLE IF EXISTS `tblCinemas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tblCinemas` (
  `cinema_id` int NOT NULL AUTO_INCREMENT,
  `city` varchar(50) NOT NULL,
  `location` varchar(255) NOT NULL,
  PRIMARY KEY (`cinema_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblCinemas`
--

/*!40000 ALTER TABLE `tblCinemas` DISABLE KEYS */;
INSERT INTO `tblCinemas` VALUES (1,'Birmingham','Downtown Birmingham'),(2,'London','West End'),(3,'Birmingham','Downtown Birmingham'),(4,'London','West End'),(5,'Birmingham','Downtown Birmingham'),(6,'London','West End'),(7,'Birmingham','Downtown Birmingham'),(8,'London','West End'),(9,'Birmingham','Downtown Birmingham'),(10,'London','West End');
/*!40000 ALTER TABLE `tblCinemas` ENABLE KEYS */;

--
-- Table structure for table `tblFilms`
--

DROP TABLE IF EXISTS `tblFilms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tblFilms` (
  `film_id` int NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `genre` varchar(50) DEFAULT NULL,
  `age_rating` varchar(10) DEFAULT NULL,
  `duration` int NOT NULL,
  `description` text,
  PRIMARY KEY (`film_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblFilms`
--

/*!40000 ALTER TABLE `tblFilms` DISABLE KEYS */;
INSERT INTO `tblFilms` VALUES (1,'Interstellar','Sci-Fi','PG-13',169,'A team of explorers travel through a wormhole in space.'),(2,'Inception','Action','PG-13',148,'A thief who enters people’s dreams.'),(3,'Interstellar','Sci-Fi','PG-13',169,'A team of explorers travel through a wormhole in space.'),(4,'Inception','Action','PG-13',148,'A thief who enters people’s dreams.'),(5,'Interstellar','Sci-Fi','PG-13',169,'A team of explorers travel through a wormhole in space.'),(6,'Inception','Action','PG-13',148,'A thief who enters people’s dreams.'),(7,'Interstellar','Sci-Fi','PG-13',169,'A team of explorers travel through a wormhole in space.'),(8,'Inception','Action','PG-13',148,'A thief who enters people’s dreams.'),(9,'Interstellar','Sci-Fi','PG-13',169,'A team of explorers travel through a wormhole in space.'),(10,'Inception','Action','PG-13',148,'A thief who enters people’s dreams.');
/*!40000 ALTER TABLE `tblFilms` ENABLE KEYS */;

--
-- Table structure for table `tblScreens`
--

DROP TABLE IF EXISTS `tblScreens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tblScreens` (
  `screen_id` int NOT NULL AUTO_INCREMENT,
  `cinema_id` int DEFAULT NULL,
  `screen_number` int NOT NULL,
  `seating_capacity` int DEFAULT NULL,
  PRIMARY KEY (`screen_id`),
  KEY `cinema_id` (`cinema_id`),
  CONSTRAINT `tblScreens_ibfk_1` FOREIGN KEY (`cinema_id`) REFERENCES `tblCinemas` (`cinema_id`) ON DELETE CASCADE,
  CONSTRAINT `tblScreens_chk_1` CHECK ((`seating_capacity` between 50 and 120))
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblScreens`
--

/*!40000 ALTER TABLE `tblScreens` DISABLE KEYS */;
INSERT INTO `tblScreens` VALUES (1,1,1,100),(2,1,2,120),(3,2,1,80),(4,1,1,100),(5,1,2,120),(6,2,1,80),(7,1,1,100),(8,1,2,120),(9,2,1,80),(10,1,1,100),(11,1,2,120),(12,2,1,80),(13,1,1,100),(14,1,2,120),(15,2,1,80);
/*!40000 ALTER TABLE `tblScreens` ENABLE KEYS */;

--
-- Table structure for table `tblShowings`
--

DROP TABLE IF EXISTS `tblShowings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tblShowings` (
  `showing_id` int NOT NULL AUTO_INCREMENT,
  `film_id` int DEFAULT NULL,
  `screen_id` int DEFAULT NULL,
  `show_time` datetime NOT NULL,
  `price` decimal(5,2) NOT NULL,
  PRIMARY KEY (`showing_id`),
  KEY `film_id` (`film_id`),
  KEY `screen_id` (`screen_id`),
  CONSTRAINT `tblShowings_ibfk_1` FOREIGN KEY (`film_id`) REFERENCES `tblFilms` (`film_id`) ON DELETE CASCADE,
  CONSTRAINT `tblShowings_ibfk_2` FOREIGN KEY (`screen_id`) REFERENCES `tblScreens` (`screen_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblShowings`
--

/*!40000 ALTER TABLE `tblShowings` DISABLE KEYS */;
INSERT INTO `tblShowings` VALUES (1,1,1,'2025-05-10 18:00:00',10.00),(2,2,2,'2025-05-10 21:00:00',12.00),(3,1,1,'2025-05-10 18:00:00',10.00),(4,2,2,'2025-05-10 21:00:00',12.00),(5,1,1,'2025-05-10 18:00:00',10.00),(6,2,2,'2025-05-10 21:00:00',12.00),(7,1,1,'2025-05-10 18:00:00',10.00),(8,2,2,'2025-05-10 21:00:00',12.00),(9,1,1,'2025-05-10 18:00:00',10.00),(10,2,2,'2025-05-10 21:00:00',12.00);
/*!40000 ALTER TABLE `tblShowings` ENABLE KEYS */;

--
-- Table structure for table `tblUsers`
--

DROP TABLE IF EXISTS `tblUsers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tblUsers` (
  `user_id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password_hash` varchar(255) NOT NULL,
  `role` enum('Admin','Manager','Staff') NOT NULL,
  `cinemas` json DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tblUsers`
--

/*!40000 ALTER TABLE `tblUsers` DISABLE KEYS */;
INSERT INTO `tblUsers` VALUES (10,'admin','password','Admin',NULL),(15,'manager','password','Manager',NULL),(21,'staff','password','Staff',NULL);
/*!40000 ALTER TABLE `tblUsers` ENABLE KEYS */;

--
-- Dumping routines for database 'nathan2baker_prj'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-03-17 18:02:53
