from .screenObj import Screen
from .dbfunc import *

class Cinema(object):
    """_summary_
    Cinema object is an abstraction of the data stored in the db.
    it represents the data of one cinema location.
    Args:
        object (_type_): _description_
    """
    def __init__(self, id:int=0) -> None:

        self.cinema_id = id
        self.listings = []
        self.screens = []
        if id != 0:
            self.load()

    def load(self) -> None:
        """load cinema from database"""
        raise NotImplementedError()

    def create_screen(self):
        raise NotImplementedError()
        # obj_screen = Screen(capacity=0, sizeH=9,sizeW=16,resolutionH=1080,resolutionW=1920,isIMAX=False)
        # cinema_screeens .append obj_screen
    
    def update_screen(self, screen:Screen, sizeHeight:float, sizeWidth:float, resolutionHeight:int, resolutionWidth:int, capacity:int) -> None:
        raise NotImplementedError()
    
    def get_showings(self) -> tuple:
        """_summary_
        gets list of movie showings in self, odered by time starting from 30mins past the current time.
        
        Returns:
            tuple: movie showings in time order.
        """
        raise NotImplementedError()
        # return listing if dict/jason format?
        return self.listings

    def addListing(self, movieID):
        # get movie details via movieId from db
        # append list with movie ID and more details to be showen in listing, eg; name, description, picture path.
        raise NotImplementedError()
    
    def updateListing(self):
        # need specify what is to be updated, eg; showing time?
        raise NotImplementedError()
    
    def removeListing(self):
        # do we need this? need to test if we can use cinema.listings.remove()
        raise NotImplementedError()

    def updateFromDataBase(self) -> None:
        # call dbFunc
        # gets data in form of json
        # gets pricing data
        # convert to dict?
        # update self data with new values.
        raise NotImplementedError()


if __name__ == "__main__":
    # testing
    test = Cinema()
    print(test)