from .constants import MIN_CAP, MAX_CAP, MIN_RES, MAX_RES, MIN_SIZE, MAX_SIZE

class Screen(object):
    """_summary_

    Args:
        object (_type_): _description_
    """
    def __init__(self) -> None:
        self.id = 0
        self.capacity: int = 0
        self.screenSizeHeight: int = 0
        self.screenSizeWidth: int = 0
        self.screenResolutionHeight: int = 0
        self.screenResolutionWidth: int = 0
        self.isIMAX: bool = False
        
    def __str__(self) -> str:
        return f"Screen(id={self.id}, capacity={self.capacity}, screenSize={self.screenSize}, screenResolution={self.screenResolution}, isIMAX={self.isIMAX})"
        
    @property
    def screenSize(self) -> str:
        return f"{self.screenSizeWidth}x{self.screenSizeHeight}m"
    @property
    def screenResolution(self) -> str:
        return f"{self.screenResolutionWidth}x{self.screenResolutionHeight}p"
    
    # Getters, inherited from Object class
    # Setters
    def set_capacity(self, value:int) -> None:
        if MIN_CAP >= value >= MAX_CAP:
            self.capacity = value
        else:
            # log
            print(f"Error; input({value}) out of range {MIN_CAP}-{MAX_CAP}.")
        
    def set_screen_size(self, height:float, width:float) -> None:
        if MIN_SIZE >= height >= MAX_SIZE or MIN_SIZE >= width >= MAX_SIZE:
            self.screenSizeHeight = float(height)
            self.screenSizeWidth = float(width)
        else:
            # log
            print(f"Error, input values:{height}m, {width}m out of bounds {MIN_SIZE}-{MAX_SIZE}m")

    def set_screen_resolution(self, height:int, width:int) -> None:
        if MIN_RES >= height >= MAX_RES or MIN_RES >= width >= MAX_RES:
            self.screenSizeHeight = height
            self.screenSizeWidth = width
        else:
            # log
            print(f"Error, input values:{width}x{height}p out of bounds {MIN_RES}-{MAX_RES}")



if __name__ == "__main__":
    # testing
    test = Screen()
    print(test)